+++
title = "mail"
taxonomies.categories = [ "services" ]
+++

Mail is not connected to our SSO!

## adding a mail account
- We use `@hacc.space` for our mails
- `@infra4future.de` is reserved for services, old user accounts will be
  forwarded & logins disabled
- choose a name (no aliases or other names can be the same)
- generate a sha-512 password hash ```mkpasswd -m sha-512``` - **never add an 
  unhashed password!**
- add your account to `loginAccounts =` in `//parsons/mail.nix`
- build and redeploy parsons

**example:**
```
zwoelfontheshelf@hacc.space" = {
	hashedPassword = "$6$ISAaU8X6D$oGKe9WXDWrRpGzHUEdxrxdtgvzuGOkBMuDc82IZhegpsv1bqd550FhZZrI40IjZTA5Hy2MZ8j/0efpnQ4fOQH0";
};
```

## adding to a forward address
- add the mail address to the corresponding `extraVirtualAliases =`
- build and redeploy parsons

## adding a forward address
- add the address to `extraVirtualAliases =`
- add the addresses it should forward to
- build and redeploy parsons

**example:**
```
"himmel@hacc.space" = [
	"hexchen@hacc.space"
	"zauberberg@hacc.space"
];
```

## sending & receiving mail

### as a user
- Your mail client should auto configure correctly

~~~
mailserver: mail.hacc.space (everywhere)
username: $your_mail_address
sending via smtp: port 587 or 465
recieving
	imap: port 993
TLS and STARTTLS are supported
~~~

- You can send mail as you and any alias you receive mail from. Set a second Identity in your e-mail client

### as an application
- mailserver: `mail.hacc.space`
- Do **not** use port 25. It's for server to server communication only.
- Use smtp ports `587` or `465`
- enable TLS if possible
- only send mail from `noreply@infra4future.de`
- Password is somewhere (TODO!)

